# FTXUI: Requirement::Focused Struct Reference

Loading...
Searching...
No Matches
Requirement::Focused Struct Reference

`#include <requirement.hpp>`

## Public Member Functions

bool | Prefer (const Focused &other) const

## Public Attributes

bool | enabled = false
Box | box
Node * | node = nullptr
Screen::Cursor::Shape | cursor_shape = Screen::Cursor::Shape::Hidden
bool | component_active = false

## Detailed Description

Definition at line 30 of file requirement.hpp.

## Member Function Documentation

## Prefer()

bool Prefer | ( | const Focused & | other | ) | const

inline

Definition at line 40 of file requirement.hpp.

## Member Data Documentation

## enabled

bool enabled = false

Definition at line 31 of file requirement.hpp.

## box

Box box

Definition at line 32 of file requirement.hpp.

## node

Node* node = nullptr

Definition at line 33 of file requirement.hpp.

## cursor_shape

Screen::Cursor::Shape cursor_shape = Screen::Cursor::Shape::Hidden

Definition at line 34 of file requirement.hpp.

## component_active

bool component_active = false

Definition at line 37 of file requirement.hpp.

The documentation for this struct was generated from the following file:

- requirement.hpp